<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aiosc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aiosc_config_t</compoundname>
    <includes local="no">cy_ble_aios.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aiosc__config__t_1a65610da36c639f94b5a4c22eae04f8ea" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__aiosc__t">cy_stc_ble_aiosc_t</ref> *</type>
        <definition>const cy_stc_ble_aiosc_t* cy_stc_ble_aiosc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="176" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="176" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aiosc__config__t_1ad774376ace15a086e23ebec3d84701f9" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_ble_aiosc_config_t::charInstances</definition>
        <argsstring />
        <name>charInstances</name>
        <briefdescription>
<para>Number of AIOS Characteristics instances for server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="179" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="179" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aiosc__config__t_1a4204c8b39850c793cad429975a886cec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aiosc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="182" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="182" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="29">
        <label>cy_stc_ble_aiosc_config_t</label>
        <link refid="structcy__stc__ble__aiosc__config__t" />
        <childnode refid="30" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="32">
        <label>cy_stc_ble_aiosc_char_t</label>
        <link refid="structcy__stc__ble__aiosc__char__t" />
      </node>
      <node id="30">
        <label>cy_stc_ble_aiosc_t</label>
        <link refid="structcy__stc__ble__aiosc__t" />
        <childnode refid="31" relation="usage">
          <edgelabel>charInfoAddr</edgelabel>
        </childnode>
      </node>
      <node id="31">
        <label>cy_stc_ble_aiosc_char_info_ptr_t</label>
        <link refid="structcy__stc__ble__aiosc__char__info__ptr__t" />
        <childnode refid="32" relation="usage">
          <edgelabel>charInfoPtr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="184" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="173" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="174" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aiosc__config__t_1a65610da36c639f94b5a4c22eae04f8ea" virt="non-virtual"><scope>cy_stc_ble_aiosc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__aiosc__config__t_1ad774376ace15a086e23ebec3d84701f9" virt="non-virtual"><scope>cy_stc_ble_aiosc_config_t</scope><name>charInstances</name></member>
      <member prot="public" refid="structcy__stc__ble__aiosc__config__t_1a4204c8b39850c793cad429975a886cec" virt="non-virtual"><scope>cy_stc_ble_aiosc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>